Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portlet.orb
Class PortletORBEvent

    java.lang.Object
      org.apache.struts.action.ActionForm
          com.bea.portal.tools.portlet.orb.PortletORBEvent

All Implemented Interfaces
  Serializable

    public abstract class PortletORBEvent

extends ActionForm
implements Serializable

Encapsulates a `PortletORB` message.

See Also
  Serialized Form

Field Summary
`static String` | `EVENT`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`protected` | `PortletORBEvent()` Constructor.

Method Summary
`abstract Iterable<String>` | `getEventNames()` Get an iterable collection of the event names.
`abstract String` | `toString()` Get a string representation of this `PortletORBEvent`.

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, reset, setMultipartRequestHandler, setServlet, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENT

    public static final String EVENT

Constructor Detail

### PortletORBEvent

    protected PortletORBEvent()

  Constructor.

Method Detail

### getEventNames

    public abstract Iterable<String> getEventNames()

  Get an iterable collection of the event names.

  Returns
    an iterable collection of the event names

### toString

    public abstract String toString()

  Get a string representation of this `PortletORBEvent`.

  Overrides:
    `toString` in class `Object`
  Returns
    a string representation of this `PortletORBEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.